### Constructor

# WebKit2 Settings new_with_settings

#### Declaration [src]

    WebKitSettings*
    webkit_settings_new_with_settings (
      const gchar* first_setting_name,
      ...
    )

#### Description [src]

Creates a new `WebKitSettings` instance with the given settings.

It must be manually attached to a `WebKitWebView`.

This method is not directly available to language bindings.

#### Parameters

`first_setting_name`

  Type: `const gchar*`

  Name of first setting to set.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  Value of first setting, followed by more settings, `NULL`-terminated.

#### Return value

Type: `WebKitSettings`

A new `WebKitSettings` instance.

The caller of the function takes ownership of the data, and is responsible for freeing it.